<!-- ANCHOR: header -->

# Agda examples

[Agda](https://wiki.portal.chalmers.se/agda) is a [proof assistant](https://en.wikipedia.org/wiki/Proof_assistant) based on [Martin-Löf type theory](https://en.wikipedia.org/wiki/Intuitionistic_type_theory), which syntax is highly inspired by Haskell, a functional language. Proof assistants help writing proofs and check them are correct.

Here are reported some examples of the usage of Agda as proof assistant, used as help material during an introductive lecture to proof assistants.

You can click on the symbols in the code to see their definition: this is very useful in particular for standard library items which definition is not reported in the examples.

View [video of the lecture (in italian)](https://youtu.be/KMKmyOJvG5s).

<!-- ANCHOR_END: header -->

View the [interactive HTML version](https://dpdmancul.gitlab.io/agda-examples).

See [table of contents](./src/SUMMARY.md).

<!-- ANCHOR: content -->

## Usage

1. Clone the repo <https://gitlab.com/DPDmancul/agda-examples.git>
2. Optionally run `nix-shell` to get all the required dependencies into the environment
3. Just run `make` to generate the HTML book.

To edit the files you can use your favourite editor ([Agdapad](https://agdapad.quasicoherent.io/), (Neo)Vim, ...) or, if you are using NixOs, the agda-preconfigured evil emacs-nox shipped with this code: `make edit`.


## License

© 2022 Davide Peressoni

This work is licensed under both the
[**Apache 2.0 License**](https://www.apache.org/licenses/LICENSE-2.0)
and the
[**Creative Commons Attribution-ShareAlike 
4.0** International License](http://creativecommons.org/licenses/by-sa/4.0/).

**Attribution** -- You must give appropriate credit, provide a link to the
license, and indicate if changes were made. You may do so in any reasonable
manner, but not in any way that suggests the licensor endorses you or your use.

**ShareAlike** -- If you remix, transform, or build upon the material, you must
distribute your contributions under the same license as the original.

Created with [Agda](https://wiki.portal.chalmers.se/agda)
and [mdBook](https://rust-lang.github.io/mdBook).

The source files can be found at 
<https://gitlab.com/DPDmancul/agda-examples>.

<!-- ANCHOR_END: content -->

