# Input cheatsheet

Using emacs agda-mode (as for example in Agdapad) you can input unicode characters using an LaTeX-like writing. Here are presented all the sequences used in the examples:

|         symbol         | character |       command       |
|:----------------------:|:---------:|:-------------------:|
|       implication      |     →     |        `\to`        |
|        negation        |     ¬     |        `\neg`       |
|  universal quantifier  |     ∀     | `\forall` or `\all` |
| existential quantifier |     ∃     |  `\exists` or `\ex` |
|     lambda function    |     λ     |  `\lambda` or `\Gl` |
|        equality        |     ≡     |        `\==`        |
|       subscript 1      |     ₁     |        `\_1`        |
|           QED          |     ∎     |        `\qed`       |
|   left angle bracket   |     ⟨     |  `\langle` or `\<`  |
|   right angle bracket  |     ⟩     |  `\rangle` or `\>`  |
|     symmetric proof    |     ˘     |        `\u{}`       |
|      concatenation     |     ∷     |        `\::`        |

## Types

|    type   | character |  command |
|:---------:|:---------:|:--------:|
|   empty   |     ⊥     |  `\bot`  |
| singleton |     ⊤     |  `\top`  |
|    sum    |     ⊎     |   `\u+`  |
|  product  |     ×     | `\times` |

## Sets

| set       | character   | command   |
| :--:      | :---------: | :-------: |
| Naturals  | ℕ           | `\bN`     |
| Integers  | ℤ           | `\bZ`     |
| Rationals | ℚ           | `\bQ`     |

